## ros-melodic-flexbe-testing 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flexbe_testing)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

FILE(GLOB BIN_FILES "bin/*")

# install executables
install(PROGRAMS ${BIN_FILES} DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY test DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# run tests
if(CATKIN_ENABLE_TESTING)
	find_package(rostest REQUIRED)
	add_rostest(test/selftest.test)
endif()

=== debian/changelog ===
ros-melodic-flexbe-testing (1.3.0-1stretch) stretch; urgency=high

  * Merge pull request #132 <https://github.com/team-vigir/flexbe_behavior_engine/issues/132> from LoyVanBeek/feature/test_require_launch_file_success
    Optionally fail test if launch-file fails
  * Clear up logging for exiting processes
  * Check all launched nodes have exited
    And check they exit code to decide success/fail of launch file
  * Optionally fail test if launch-file fails
    If the launch-file in a FlexBE test fails, signal this to the TestContext that can then optionally fail due to this
    This allows to run scripts etc to verify State/Behavior side effects
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_testing] Add a behavior to the self-test
  * [flexbe_testing] Fix check of userdata output
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.5-1stretch) stretch; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-melodic-flexbe-testing (1.2.4-1stretch) stretch; urgency=high

  * Merge pull request #109 <https://github.com/team-vigir/flexbe_behavior_engine/issues/109> from Achllle/feature/testing/timeout_parameter
    Expose time-limit parameter from rostest
  * Merge pull request #108 <https://github.com/team-vigir/flexbe_behavior_engine/issues/108> from Achllle/fix/test_bagfile_topic
    Retry reading bag file messages without backslash in unit tests
  * Expose time-limit parameter from rostest
  * Ignore topic backslash when no messages are found that way
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * Remove explicit list construction where not required
  * python3 compatibility via 2to3
  * Contributors: Achille, Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.3-1stretch) stretch; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_testing] Remove deprecated state tester
  * [flexbe_testing] Allow specification of behavior name in test config
  * [flexbe_testing] Add support for behavior tests
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Merge pull request #94 <https://github.com/team-vigir/flexbe_behavior_engine/issues/94> from LoyVanBeek/feature/check_missing_testfile
    Fail test if provided test-yaml-file does not exist
  * Generate test results also when test file is missing
  * Move test configuration files to StateTester so failing to configure can also be included in the test results
  * Fail test if provided test-file does not exist
    There is no way to know which arguments are intended to be filenames, so best we can do is guess?
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.2-1stretch) stretch; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.2.1-1stretch) stretch; urgency=high

  * [flexbe_testing] Respect state rate in tests (fix FlexBE/flexbe_app#36 <https://github.com/FlexBE/flexbe_app/issues/36>)
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.1.2-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.1.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Revise run dependencies
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-flexbe-testing (1.1.0-1stretch) stretch; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/fix/state_tests' into feature/flexbe_app
  * [flexbe_testing] Let "pass" test fail if preparation fails
  * [flexbe_testing] Install rostest files for install-space testing
  * Merge branch 'develop' into feature/flexbe_app
  * Merge branch 'develop'
  * [flexbe_testing] Correct states for selftest (fix #49 <https://github.com/team-vigir/flexbe_behavior_engine/issues/49>)
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #24 <https://github.com/team-vigir/flexbe_behavior_engine/issues/24> from fmauch/7-state_test_output_data_missing
    [flexbe_testing] complain if output data is requested inside the test but not given
  * complain if output data is requested inside the test, but not given
    from the state
  * Merge remote-tracking branch 'origin/develop'


## ros-melodic-flexbe-testing 1.3.1

=== debian/changelog ===
ros-melodic-flexbe-testing (1.3.1-1bionic) bionic; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.3.0-1bionic) bionic; urgency=high

  * Merge pull request #132 <https://github.com/team-vigir/flexbe_behavior_engine/issues/132> from LoyVanBeek/feature/test_require_launch_file_success
    Optionally fail test if launch-file fails
  * Clear up logging for exiting processes
  * Check all launched nodes have exited
    And check they exit code to decide success/fail of launch file
  * Optionally fail test if launch-file fails
    If the launch-file in a FlexBE test fails, signal this to the TestContext that can then optionally fail due to this
    This allows to run scripts etc to verify State/Behavior side effects
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_testing] Add a behavior to the self-test
  * [flexbe_testing] Fix check of userdata output
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.5-1bionic) bionic; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-melodic-flexbe-testing (1.2.4-1bionic) bionic; urgency=high

  * Merge pull request #109 <https://github.com/team-vigir/flexbe_behavior_engine/issues/109> from Achllle/feature/testing/timeout_parameter
    Expose time-limit parameter from rostest
  * Merge pull request #108 <https://github.com/team-vigir/flexbe_behavior_engine/issues/108> from Achllle/fix/test_bagfile_topic
    Retry reading bag file messages without backslash in unit tests
  * Expose time-limit parameter from rostest
  * Ignore topic backslash when no messages are found that way
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * Remove explicit list construction where not required
  * python3 compatibility via 2to3
  * Contributors: Achille, Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.3-1bionic) bionic; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_testing] Remove deprecated state tester
  * [flexbe_testing] Allow specification of behavior name in test config
  * [flexbe_testing] Add support for behavior tests
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Merge pull request #94 <https://github.com/team-vigir/flexbe_behavior_engine/issues/94> from LoyVanBeek/feature/check_missing_testfile
    Fail test if provided test-yaml-file does not exist
  * Generate test results also when test file is missing
  * Move test configuration files to StateTester so failing to configure can also be included in the test results
  * Fail test if provided test-file does not exist
    There is no way to know which arguments are intended to be filenames, so best we can do is guess?
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-flexbe-testing (1.2.2-1bionic) bionic; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.2.1-1bionic) bionic; urgency=high

  * [flexbe_testing] Respect state rate in tests (fix FlexBE/flexbe_app#36 <https://github.com/FlexBE/flexbe_app/issues/36>)
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.1.2-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-flexbe-testing (1.1.1-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Revise run dependencies
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-flexbe-testing (1.1.0-1bionic) bionic; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/fix/state_tests' into feature/flexbe_app
  * [flexbe_testing] Let "pass" test fail if preparation fails
  * [flexbe_testing] Install rostest files for install-space testing
  * Merge branch 'develop' into feature/flexbe_app
  * Merge branch 'develop'
  * [flexbe_testing] Correct states for selftest (fix #49 <https://github.com/team-vigir/flexbe_behavior_engine/issues/49>)
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #24 <https://github.com/team-vigir/flexbe_behavior_engine/issues/24> from fmauch/7-state_test_output_data_missing
    [flexbe_testing] complain if output data is requested inside the test but not given
  * complain if output data is requested inside the test, but not given


=== debian/control ===
Source: ros-melodic-flexbe-testing
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/flexbe_testing
Standards-Version: 3.9.2

Package: ros-melodic-flexbe-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-flexbe-core, ros-melodic-flexbe-msgs, ros-melodic-rospy
Description: flexbe_testing provides a framework for unit testing states.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-flexbe-testing//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
